Page MenuHomePhabricator

[mlir][Toy] Update the tutorial to use tablegen for dialect declarations
AcceptedPublic

Authored by rriddle on Sep 2 2020, 3:27 PM.

Details

Summary

This was missed when the feature was originally added.

Diff Detail

Event Timeline

rriddle created this revision.Sep 2 2020, 3:27 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 2 2020, 3:27 PM
rriddle requested review of this revision.Sep 2 2020, 3:27 PM
mehdi_amini accepted this revision.Sep 4 2020, 11:41 PM

Thanks!

mlir/docs/Tutorials/Toy/Ch-2.md
213

context.loadDialect?

216–217

This sentence is outdated

mlir/docs/Tutorials/Toy/Ch-7.md
194

I think you should remove expose here?

This revision is now accepted and ready to land.Sep 4 2020, 11:41 PM
jpienaar accepted this revision.Sep 5 2020, 9:21 AM
jpienaar added inline comments.
mlir/examples/toy/Ch2/mlir/Dialect.cpp
28

Instead of custom, dialect. This is where dialect types and operations are registered.